Chuyển đến nội dung
Diễn đàn CADViet

nhunhapro123

Thành viên
  • Số lượng nội dung

    29
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    1

Cộng đồng

-7 (hơi kém)

About nhunhapro123

  • Cấp bậc
    biết vẽ line

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. nhunhapro123

    Chỉnh sửa code Autolisp

    Mình có viết một đoạn code vẽ đường dòng Polyline nhưng hiện tại chạy bị báo lỗi. Nhờ các Anh chị trên diễn đàn có thể kiểm tra và chỉnh sửa giúp với ạ! (defun c:VePLL2() (vl-load-com) ;;;(setq acdoc (vla-get-activedocument (vlax-get-acad-object))) (setq os (getvar "osmode")) (setvar "osmode" 0) (prompt "\nChon 2 duong dong va mot text mau") (setq ssl (acet-ss-to-list (ssget (list (cons 0 "line,text"))))) (setq ssl (vl-sort ssl '(lambda (x y) (< (cadr (assoc 10 (entget x))) (cadr (assoc 10 (entget y))))))) (setq LineDong1 (vlax-ename->vla-object (nth 0 ssl))) (setq TMau1 (vla-get-layer LineDong1)) (setq Y1 (cadr (vlax-curve-getStartPoint Linedong1)));;;Diem cuoi duong dong 1 (setq Y2 (cadr (vlax-curve-getEndPoint Linedong1)));;;;;Diem dau duong dong 1 (setq Y12 (/ (+ Y1 Y2) 2)) (setq LineDong2 (vlax-ename->vla-object (nth 2 SSLISTY))) (setq TMau2 (vla-get-layer LineDong2)) (setq Y3 (cadr (vlax-curve-getStartPoint Linedong2)));;Diem dau duong dong 2 (setq Y4 (cadr (vlax-curve-getEndPoint Linedong2)));;;Diem cuoi duong dong 2 (setq Y34 (/ (+ Y3 Y4) 2)) (setq TMAU (vlax-ename->vla-object (nth 1 SSLISTY))) (setq Z4 (distof (vla-get-textstring TMAU) 2));;;;chuyen chuoi sang so (setq LMAUTEXT (vla-get-layer TMAU));;;;ma mau cua text (setq HTMAU (DXFCN 40 (entget (nth 1 SSLISTY))));;;;chieu cao text (setq ROTATION (DXFCN 50 (entget (nth 1 SSLISTY))));;;goc quay cua text (setq Y5 (cadr (DXFCN 11 (entget (nth 1 SSLISTY)))));;tung do cua text (prompt "\nCh\U+1ECDn polyline c\U+1EA7n \U+0111i\U+1EC1n \U+0111\U+01B0\U+1E55ng dóng") (setq SSPL (ssget (list (cons 0 "*LINE")))) (setq SSEPL (ssname SSPL 0)) ;;;ACET-GEOM-VERTEX-LIST(setq e (ssname ssg i))(setq L (ACET-GEOM-VERTEX-LIST? e) (setq PL (ACET-GEOM-VERTEX-LIST SSEPL)) (setq LEN (length PL)) (setq i 0) (progn (repeat LEN (setq PT0 (nth i PL)) (setq PT6 (NTH (1+ i) PL)) ;;;(setq PT0 (nth (setq LEN (1- LEN)) PL)) (setq X0 (car PT0)) (setq Y0 (cadr PT0)) (setq PT1 (list X0 Y1 0)) (setq PT2 (list X0 Y2 0)) (setq PT3 (list X0 Y4 0)) (setq PT4 (LIST X0 Y5 0)) (setq CD (+ Z4 (- Y0 Y3)));;;;(setq L (+ cdd (- (cadr p2) (cadr p1)))) (command "layer" "set" TMau1 "") (command "line" PT1 PT2 "") ;;;(command "copy" TMAU "" (list XM Y1 0) PT1) (command "layer" "set" TMau2 "") (command "line" PT3 PT0 "") (command "Text" "J" "MR" PT4 HTMAU 90 (Rtos CD 2 2) "") (setq XTB (/ (+ (Car PT0) (Car PT6)) 2)) (setq PT7 (LIST XTB Y12 0)) (setq KC (ABS (- (Car PT0) (Car PT6)))) (command "layer" "set" LMAUTEXT "") (command "Text" "J" "MC" PT7 (getvar 'textsize) 0 (Rtos KC 2 2) "") (setq i (1+ i)) );;;repeat 1 ) (setvar "osmode" 16383) )
  2. nhunhapro123

    Nhờ kiểm tra giúp code lisp

    Nhờ các anh chị kiểm tra giúp em code Lisp này với ạ, Em muốn chọn tập hợp text rồi lưu vào ClipBoard nhưng khi chạy bị lỗi không thoát vòng lặp ạ.
×